Transkrypcja mediów
curl --request POST \
--url https://api.voicecheap.ai/v1/transcribe \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"outputFormat": "<string>",
"originalLanguage": "<string>",
"numberOfSpeakers": "<string>",
"brandVocabulary": "<string>",
"removeFillerWords": true,
"includeSpeakerLabels": true
}
'import requests
url = "https://api.voicecheap.ai/v1/transcribe"
payload = {
"outputFormat": "<string>",
"originalLanguage": "<string>",
"numberOfSpeakers": "<string>",
"brandVocabulary": "<string>",
"removeFillerWords": True,
"includeSpeakerLabels": True
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
outputFormat: '<string>',
originalLanguage: '<string>',
numberOfSpeakers: '<string>',
brandVocabulary: '<string>',
removeFillerWords: true,
includeSpeakerLabels: true
})
};
fetch('https://api.voicecheap.ai/v1/transcribe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Transkrypcja
Transkrypcja mediów
Dokonaj transkrypcji pliku audio lub wideo jako kompletny plik JSON, SRT lub VTT
Transkrypcja mediów
Transkrypcja mediów
Prześlij plik audio lub wideo i otrzymaj bezpośrednio jego transkrypcję. Ten samodzielny punkt końcowy nie tworzy projektu dubbing. Punkt końcowy akceptuje pliki o rozmiarze do 200 MB i długości 2 godzin. Wykorzystuje te same zasady dostępu za pomocą klucza API, co API tłumaczenia. Pomyślne żądania zwracają HTTP200.
Żądanie
Wyślijmultipart/form-data z następującymi polami.
string
wymagane
Twój klucz API VoiceCheap.
file
wymagane
Plik audio lub wideo do transkrypcji. Obsługiwane formaty to MP4, MOV, MKV, WebM, MPEG, MP3, WAV, M4A, FLAC, OGG i AAC.
string
domyślnie:"json"
Format odpowiedzi:
json, srt lub vtt.string
domyślnie:"auto-detect"
Obsługiwany kod ISO języka źródłowego. Pozostaw jako
auto-detect, chyba że znasz język źródłowy. Nieobsługiwane jawne języki zwracają błąd walidacji przed rozpoczęciem przetwarzania.string
domyślnie:"auto-detect"
auto-detect lub liczba całkowita od 1 do 32.string
Tablica ciągów JSON zawierająca nazwy, marki, akronimy lub terminy domenowe do rozpoznania. Żądane terminy są scalane z zapisanym glosariuszem konta lub zespołu.
["VoiceCheap", "SmartSync", "ITC Global"]
boolean
domyślnie:"true"
Usuń typowe wypełniacze z transkrypcji.
boolean
domyślnie:"false"
Dodaj prefiks do znaczników SRT za pomocą
Speaker N: lub dodaj tagi głosowe VTT. JSON zawsze zawiera numer mówcy przy każdym segmencie i słowie.Odpowiedź JSON
JSON to najbardziej kompletny format wyjściowy. Zawiera pełny tekst, pewność językową, czas trwania mediów, mówców, segmenty z sygnaturami czasowymi oraz słowa z sygnaturami czasowymi.{
"source": "standalone",
"language": "en",
"languageConfidence": 0.99,
"duration": 12.4,
"text": "Welcome to VoiceCheap.",
"speakers": [{ "id": 0, "label": "Speaker 1" }],
"segments": [
{
"index": 0,
"text": "Welcome to VoiceCheap.",
"begin": 0.18,
"end": 1.74,
"duration": 1.56,
"speaker": 0,
"language": "en",
"confidence": 0.94,
"words": [
{
"index": 0,
"text": "Welcome",
"speaker": 0,
"confidence": 0.96,
"begin": 0.18,
"end": 0.62,
"duration": 0.44
}
]
}
],
"words": [
{
"index": 0,
"text": "Welcome",
"speaker": 0,
"confidence": 0.96,
"begin": 0.18,
"end": 0.62,
"duration": 0.44
}
]
}
Przykłady
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=json" \
-F "numberOfSpeakers=2" \
-F 'brandVocabulary=["VoiceCheap","SmartSync"]'
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=srt" \
-F "includeSpeakerLabels=true" \
--output interview.srt
curl -X POST "https://api.voicecheap.ai/v1/transcribe" \
-H "x-api-key: vc_your-api-key" \
-F "file=@interview.mp4" \
-F "outputFormat=vtt" \
--output interview.vtt
Błędy
| Status | Kod | Opis |
|---|---|---|
| 400 | FILE_REQUIRED | Nie przesłano żadnego pliku |
| 400 | INVALID_FILE_TYPE | Typ pliku nie jest obsługiwany |
| 400 | INVALID_MEDIA_STREAM | Plik nie posiada ścieżki audio |
| 400 | DURATION_DETECTION_FAILED | Nie można było odczytać czasu trwania mediów |
| 400 | DURATION_TOO_LONG | Media są dłuższe niż dwie godziny |
| 400 | INVALID_BRAND_VOCABULARY | Jeden lub więcej wpisów w glosariuszu jest nieprawidłowych |
| 400 | INVALID_BOOLEAN_VALUE | Wartość logiczna multipart nie jest true lub false |
| 400 | INVALID_JSON_FORMAT | Pole multipart zakodowane w formacie JSON jest błędne |
| 400 | INVALID_MULTIPART_REQUEST | Dane formularza multipart są błędne lub zbyt duże |
| 413 | FILE_TOO_LARGE | Plik przekracza 200 MB |
| 502 | TRANSCRIPTION_EMPTY | Transkrypcja nie zwróciła żadnej użytecznej mowy |
| 502 | TRANSCRIPTION_FAILED | Silnik transkrypcji nie mógł zakończyć pracy |
Czy ta strona była pomocna?

